# pn_trunk – CLI command to create/delete/modify a trunk

- DEPRECATED
- Synopsis
- Parameters
- Examples
- Return Values
- Status

## DEPRECATED

Removed in Ansible:
| version: 2.12
Why: | Doesn’t support latest Pluribus Networks netvisor
Alternative: | Latest modules will be pushed in Ansible future versions.

## Synopsis

- Execute trunk-create or trunk-delete command.
- Trunks can be used to aggregate network links at Layer 2 on the local switch. Use this command to create a new trunk.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
pn_broadcast_level - |  | Specify a broadcast level in percent. The default value is 100%.
pn_clipassword - |  | Provide login password if user is not root.
pn_cliswitch - | Default: "local" | Target switch(es) to run the cli on.
pn_cliusername - |  | Provide login username if user is not root.
pn_description - |  | Specify a description for the trunk configuration.

pn_edge_switch
boolean

Choices:
- no
- yes

Specify if the switch is an edge switch.

pn_egress_rate_limit - |  | Specify an egress port data rate limit for the configuration.

pn_host
boolean

Choices:
- no
- yes

Host facing port control setting.

pn_jumbo
boolean

Choices:
- no
- yes

Specify if the port can receive jumbo frames.

pn_lacp_fallback
-

Choices:
- bundle
- individual

Specify the LACP fallback mode as bundles or individual.

pn_lacp_fallback_timeout - |  | Specify the LACP fallback timeout in seconds. The range is between 30 and 60 seconds with a default value of 50 seconds.

pn_lacp_mode
-

Choices:
- off
- passive
- active

Specify the LACP mode for the configuration.

pn_lacp_priority - |  | Specify the LACP priority. This is a number between 1 and 65535 with a default value of 32768.

pn_lacp_timeout
-

Choices:
- slow
- fast

Specify the LACP time out as slow (30 seconds) or fast (4seconds). The default value is slow.

pn_loopback
boolean

Choices:
- no
- yes

Specify loopback if you want to use loopback.

pn_loopvlans - |  | Specify a list of looping vlans.

pn_mirror_receive
boolean

Choices:
- no
- yes

Specify if the configuration receives mirrored traffic.

pn_name - / required |  | Specify the name for the trunk configuration.

pn_pause
boolean

Choices:
- no
- yes

Specify if pause frames are sent.

pn_port_macaddr - |  | Specify the MAC address of the port.
pn_ports - |  | Specify the port number(s) for the link(s) to aggregate into the trunk. Required for trunk-create.

pn_routing
boolean

Choices:
- no
- yes

Specify if the port participates in routing on the network.

pn_speed
-

Choices:
- disable
- 10m
- 100m
- 1g
- 2.5g
- 10g
- 40g

Specify the port speed or disable the port.

pn_unknown_mcast_level - |  | Specify an unknown multicast level in percent. The default value is 100%.
pn_unknown_ucast_level - |  | Specify an unknown unicast level in percent. The default value is 100%.

state
- / required

Choices:
- present
- absent
- update

State the action to perform. Use 'present' to create trunk, 'absent' to delete trunk and 'update' to modify trunk.

## Examples

    - name: create trunk
      pn_trunk:
        state: 'present'
        pn_name: 'spine-to-leaf'
        pn_ports: '11,12,13,14'

    - name: delete trunk
      pn_trunk:
        state: 'absent'
        pn_name: 'spine-to-leaf'

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
changed boolean | always | Indicates whether the CLI caused changes on the target.
command string | always | The CLI command run on the target node(s).
stderr list | on error | The set of error responses from the trunk command.
stdout list | always | The set of responses from the trunk command.

## Status

- This module will be removed in version 2.12. [deprecated]
- For more information see DEPRECATED.

### Authors

- Pluribus Networks (@amitsi)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.